Poll orders using the single delivery per order line feature.
const url = 'https://api.tradecloud1.com/v2/order-search/poll/single-delivery';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"filters":{"companyId":"09484ff6-e0f0-510b-819f-5fa3ed780726","status":{"processStatus":["Issued"],"inProgressStatus":["OpenSupplierProposal"],"logisticsStatus":["Open"],"deliveryLineStatus":["Open"]},"lastUpdatedAfter":"2021-04-23T10:01:53.812Z"},"offset":0,"limit":100}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tradecloud1.com/v2/order-search/poll/single-delivery \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "filters": { "companyId": "09484ff6-e0f0-510b-819f-5fa3ed780726", "status": { "processStatus": [ "Issued" ], "inProgressStatus": [ "OpenSupplierProposal" ], "logisticsStatus": [ "Open" ], "deliveryLineStatus": [ "Open" ] }, "lastUpdatedAfter": "2021-04-23T10:01:53.812Z" }, "offset": 0, "limit": 100 }'Get all orders that are updated after a given DateTime.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Orders polling command. Contains information about which orders should be returned.
Request body for polling orders.
object
Container for all filters that are used for order polling.
object
The optional companyId to filter orders by. Only needed when the integration user is authorized for multiple companies.
Example
09484ff6-e0f0-510b-819f-5fa3ed780726object
Order process status to filter by. Only orders are returned of which the status.processStatus matches one of the given values.
Order line inProgress status to filter by. Only orders are returned that contain at least one line that has processStatus = InProgress and has an inProgressStatus that matches one of the given values.
Order logistical status to filter by. Only orders are returned of which the status.logisticsStatus matches one of the given values.
Delivery line status to filter by. Only orders are returned that contain at least 1 order line, which contains at least 1 deliverySchedule line, which has a status that matches one of the given values.
The ISO-8601 date time (with UTC ‘Z’ designator) to find all orders that have been changed after (exclusive).
Example
2021-04-23T10:01:53.812ZThe number of search results to skip. Defaults to 0.
Example
0The maximum amount of search results to be returned. Defaults to 100. Maximum is 100.
Example
100Responses
Section titled “Responses”Orders that were updated after the given lastUpdatedAfter. Orders are sorted in ascending order on their lastUpdatedAt field.
Includes the orders data.
object
Includes the order data with only one single delivery per order line.
object
The Tradecloud order ID
The buyer side header of the purchase order.
object
The buyers globally unique Tradecloud company identifier
The optional buyer, buyer accounting or supplier company party:
- buyer: the legal entity that purchases the goods or services.
- buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
- supplier: the legal entity that sells the goods or services.
object
The optional identifier for the party.
The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.
The location names. It is recommended to provide at least one name.
The location address lines. It is recommended to provide at least one address line.
Location postal code
Location city
ISO 3166-1 alpha-2 country code.
Optional country name.
The optional buyer, buyer accounting or supplier company party:
- buyer: the legal entity that purchases the goods or services.
- buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
- supplier: the legal entity that sells the goods or services.
object
The optional identifier for the party.
The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.
The location names. It is recommended to provide at least one name.
The location address lines. It is recommended to provide at least one address line.
Location postal code
Location city
ISO 3166-1 alpha-2 country code.
Optional country name.
The supplier account code or number as known at the buyer.
The optional buyer, buyer accounting or supplier company party:
- buyer: the legal entity that purchases the goods or services.
- buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
- supplier: the legal entity that sells the goods or services.
object
The optional identifier for the party.
The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.
The location names. It is recommended to provide at least one name.
The location address lines. It is recommended to provide at least one address line.
Location postal code
Location city
ISO 3166-1 alpha-2 country code.
Optional country name.
The purchase order number provided by the buyer. The number is unique and immutable within the buyer scope.
An optional free format order description or reference added by the buyer
Includes location code and address.
object
Mandatory unique and immutable destination location code or number.
One or more names used to described this location. Can be the company name, location name, department, etc.
One or more address lines of this location.
The postal code of this location.
The city of this location.
Mandatory ISO 3166-1 alpha-2 country code of this location.
Optional country name, preferable in English.
The type of the location, eg. Supplier Premises
The order terms as agreed between buyer and supplier, provided by the buyer.
object
Optional incoterms code according to ICC Incoterms 2020.
The incoterms named place (delivery, terminal, port or destination).
The payment terms code as provided by the buyer.
The payment terms text as provided by the buyer.
Order indicators set by the buyer.
object
If this flag set to true then the order lines will be automatically confirmed in case of a supplier proposal or reopen request.
Key-value based custom fields added by the buyer.
A key-value based custom field.
object
The key of the custom field.
The value of the custom field. Use \n for a new line.
String based custom fields added by the buyer. \n are used for a new line.
Optional value-added services labels on order level. Please note the practicable number of labels is dependent on the supplier.
Order line document references and meta data added by the buyer
Either use objectId and the Tradecloud object-storage API or url to download the document.
object
Optional document code or number. The code is unique and immutable within a company.
Optional document revision (or version) code or number
Optional document short name
The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.
Optional location of the document if is not stored in Tradecloud.
Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…
Optional description of the attached document.
Meta information about the document, set by Tradecloud.
object
The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.
The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.
object
The order type, one of:
Purchase- This is a purchase order (default).Forecast- This is a forecast order.RFQ- This is a request for quotation order.
Optional custom labels on order header level to make supply or quality issues visible.
Custom label to make supply or quality issues visible.
object
Free format label text.
Free format label reason.
Buyer-imposed requirements stamped onto the order from the buyer’s order settings at issue time.
object
If true, the supplier must provide a salesOrderNumber.
Optional ISO local date and time at which the order was originally issued in the buyers ERP system.
A buyer or supplier contact.
object
Optional globally unique Tradecloud user identifier.
Optional contact email as known in your ERP system.
Optional contact username as known in your ERP system.
Optional ISO local date and time at which the order was updated in the buyers ERP system.
A buyer or supplier contact.
object
Optional globally unique Tradecloud user identifier.
Optional contact email as known in your ERP system.
Optional contact username as known in your ERP system.
The supplier side header of the purchase order.
object
The suppliers globally unique Tradecloud company identifier
The buyer account code or number as known at the supplier.
An optional free format order description or reference added by the supplier
Key-value based custom fields added by the supplier.
A key-value based custom field.
object
The key of the custom field.
The value of the custom field. Use \n for a new line.
String based custom fields added by the supplier. \n are used for a new line.
Order document references and meta data added by the supplier
Either use objectId and the Tradecloud object-storage API or url to download the document.
object
Optional document code or number. The code is unique and immutable within a company.
Optional document revision (or version) code or number
Optional document short name
The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.
Optional location of the document if is not stored in Tradecloud.
Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…
Optional description of the attached document.
Meta information about the document, set by Tradecloud.
object
The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.
The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.
object
Optional custom labels on order header level to make supply or quality issues visible.
Custom label to make supply or quality issues visible.
object
Free format label text.
Free format label reason.
ISO local date and time at which the order response was updated in suppliers ERP system.
A buyer or supplier contact.
object
Optional globally unique Tradecloud user identifier.
Optional contact email as known in your ERP system.
Optional contact username as known in your ERP system.
List of order lines, sorted by buyerLine.position.
Includes the order line data for a particular scheduledDelivery
object
The globally unique Tradecloud order line identifier
The optional order line type set by the buyer or supplier, one of:
Item- This is an item line (default).Service- This is a service line.Charge- This is a charge line.
The optional charge reason code set by the buyer or supplier, in case of a charge line.
A buyer purchase order line for a particular single delivery order line.
object
The position identifier in the purchase order. The position is unique and immutable within the order. Position is empty in case of a newly created or split line by the supplier.
The original position in case this is a split line.
An optional row label for this position. Do NOT use row as identifier.
An optional free format line description or reference added by the buyer.
The buyer side item (or article, goods) to be delivered.
object
The mandatory item code or number as known by the buyer. The number is unique and immutable within the buyer scope.
The optional revision (or version) of this item as known by the buyer.
The mandatory short name of this item as known by the buyer.
The optionally long description of this item as known by the buyer.
The purchase unit of measure for this item, passed through as-is to the supplier. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
The optional item code or number as known by the supplier. Advised in case of wholesale suppliers.
Array of dimensions related to the item
Defines measurable dimensions (length, width, area, weight or volume) of an item
object
Measurement type of item
Measurement value
The unit of measure for this dimension, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.
object
The country of manufacture, production, or growth where an article or product comes from
A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics
Net weight of one item
The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport.
Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it
Identification number assigned to a particular quantity or lot of material from a single manufacturer
The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.
object
A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.
object
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
The discount percentage. Use together with grossPrice.
A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.
object
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.
The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0
Order line terms set by the buyer.
object
The contract framework code or number associated with this line. The number is unique and immutable within the buyer scope.
Optional position in the framework contract associated with this line. The position is unique and immutable within the contract.
Optional buyer project code or number associated with this line.
Optional buyer production code or number associated with this line.
Optional buyer sales order code or number associated with this line.
Order line indicators set by the buyer.
object
No goods are expected to be delivered to the buyer.
All goods are delivered at the buyer.
If set to true, when supplier confirms a line then this line becomes a proposal
Key-value based custom fields added by the buyer.
A key-value based custom field.
object
The key of the custom field.
The value of the custom field. Use \n for a new line.
String based custom fields added by the buyer. \n are used for a new line.
Optional value-added services labels on line level. Please note the practicable number of labels is dependent on the supplier.
Order line document references and meta data added by the buyer
Either use objectId and the Tradecloud object-storage API or url to download the document.
object
Optional document code or number. The code is unique and immutable within a company.
Optional document revision (or version) code or number
Optional document short name
The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.
Optional location of the document if is not stored in Tradecloud.
Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…
Optional description of the attached document.
Meta information about the document, set by Tradecloud.
object
The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.
The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.
3th party certification requirements by buyer.
object
Certification Type code
Human readable Certification Type
Classification Society code
Human readable Classification Society
Optional custom labels on order line level added by buyer, to make supply or quality issues visible.
Custom label to make supply or quality issues visible.
object
Free format label text.
Free format label reason.
A supplier side order line may contain sales order number and position.
object
Optional supplier sales order code or number associated with this line. The number is unique and immutable within the supplier scope.
Optional supplier sales order line position associated with this line. The position is unique and immutable within the sales order.
An optional free format line description or reference added by the supplier.
The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.
object
The country of manufacture, production, or growth where an article or product comes from
A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics
Net weight of one item
The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport.
Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it
Identification number assigned to a particular quantity or lot of material from a single manufacturer
Key-value based custom fields added by the supplier.
A key-value based custom field.
object
The key of the custom field.
The value of the custom field. Use \n for a new line.
String based custom fields added by the supplier. \n are used for a new line.
Order line document references and meta data added by the supplier
Either use objectId and the Tradecloud object-storage API or url to download the document.
object
Optional document code or number. The code is unique and immutable within a company.
Optional document revision (or version) code or number
Optional document short name
The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.
Optional location of the document if is not stored in Tradecloud.
Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…
Optional description of the attached document.
Meta information about the document, set by Tradecloud.
object
The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.
The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.
Optional custom labels on order line level added by supplier, to make supply or quality issues visible.
Custom label to make supply or quality issues visible.
object
Free format label text.
Free format label reason.
The order line values representing the current Issued or Confirmed status. The InclRequests fields include the InProgress status and open buyer or supplier request values.
object
The scheduled delivery line. This field is used as an alternative for the deliverySchedule field if your ERP system does not support a deliverySchedule within an order line natively and the delivery schedule is spread over multiple order lines instead.
object
The optional scheduled delivery date of this delivery position. Date has ISO 8601 date format.
The optional scheduled quantity of this delivery position. Quantity has a decimal format.
The order, line or optional delivery line logistics status:
Open- No or partial quantity Produced, ReadyToShip, Shipped or DeliveredProduced- Full quantity produced by the supplierReadyToShip- Full quantity ready to be shipped by the supplierShipped- Full quantity shipped by the supplierDelivered- Full quantity delivered at the buyerCancelled- Cancelled by the buyer
object
True if this delivery line is not Delivered yet and its date is in the past.
The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport values.
The optional logistics Estimated Time of Departure local date (without time zone) of this delivery line. Date has ISO 8601 date format.
The optional logistics Estimated Time of Arrival local date (without time zone) of this delivery line. Date has ISO 8601 date format.
The scheduled delivery line. This field is used as an alternative for the deliverySchedule field if your ERP system does not support a deliverySchedule within an order line natively and the delivery schedule is spread over multiple order lines instead.
object
The optional scheduled delivery date of this delivery position. Date has ISO 8601 date format.
The optional scheduled quantity of this delivery position. Quantity has a decimal format.
The order, line or optional delivery line logistics status:
Open- No or partial quantity Produced, ReadyToShip, Shipped or DeliveredProduced- Full quantity produced by the supplierReadyToShip- Full quantity ready to be shipped by the supplierShipped- Full quantity shipped by the supplierDelivered- Full quantity delivered at the buyerCancelled- Cancelled by the buyer
object
True if this delivery line is not Delivered yet and its date is in the past.
The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport values.
The optional logistics Estimated Time of Departure local date (without time zone) of this delivery line. Date has ISO 8601 date format.
The optional logistics Estimated Time of Arrival local date (without time zone) of this delivery line. Date has ISO 8601 date format.
The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.
object
A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.
object
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
The discount percentage. Use together with grossPrice.
A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.
object
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.
The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0
The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.
object
A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.
object
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
The discount percentage. Use together with grossPrice.
A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.
object
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.
The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0
The total scheduled quantity in the order line delivery schedule. Quantity has a decimal format. Zero when no delivery schedule is present.
The total scheduled quantity in the order line delivery schedule including all requests. Zero when no delivery schedule is present.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
object
True if a delivery line of this order line is not Delivered yet and its date is in the past.
object
The order or line process status:
Issued- (Re)issued by the buyerInProgress- Under negotiation between buyer and supplierConfirmed- Agreed between buyer and supplierRejected- Rejected by supplierCompleted- Completed at the buyerCancelled- Cancelled by the buyer
More fine-grained status when an order line has processStatus InProgress, explaining why it is in progress:
OpenSupplierProposal- There is an open proposal from the supplier.RejectedSupplierProposal- The proposal from the supplier was rejected and no other requests are open.ApprovedDeliverySchedule- The order line delivery schedule was approved by the buyer.RejectedDeliverySchedule- The order line delivery schedule was rejected by the buyer.ReissuedRejectedLine- The rejected order line was reissued by the buyer.OpenBuyerReconfirmationRequest- The buyer has requested to reconfirmed the order line.OpenSupplierReopenRequest- There is an open reopen request from the supplier.OpenSupplierShipmentRescheduleRequest- There is an open shipment reschedule request from the supplier.OpenBuyerReopenRequest- There is an open reopen request from the buyer.RevertedCompletedLine- The completion of this line was reverted.RevertedCancelledLine- The cancellation of this line was reverted.
The order, line or optional delivery line logistics status:
Open- No or partial quantity Produced, ReadyToShip, Shipped or DeliveredProduced- Full quantity produced by the supplierReadyToShip- Full quantity ready to be shipped by the supplierShipped- Full quantity shipped by the supplierDelivered- Full quantity delivered at the buyerCancelled- Cancelled by the buyer
Key line event date and times.
object
Mandatory ISO date and time, in UTC time zone, at which the order line was issued in Tradecloud.
Optional ISO date and time, in UTC time zone, at which the order line became confirmed in Tradecloud.
Optional ISO date and time, in UTC time zone, at which the order line became shipped in Tradecloud.
Optional ISO date and time, in UTC time zone, at which the order line became delivered in Tradecloud.
Optional ISO local date and time, in UTC time zone, at which the order line became cancelled in Tradecloud.
The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.
object
The country of manufacture, production, or growth where an article or product comes from
A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics
Net weight of one item
The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport.
Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it
Identification number assigned to a particular quantity or lot of material from a single manufacturer
The ISO-8601 date and time in UTC time zone that denotes the latest date time the order line has been changed
object
True if a order line is not Delivered yet and the order line is overdue.
object
The order or line process status:
Issued- (Re)issued by the buyerInProgress- Under negotiation between buyer and supplierConfirmed- Agreed between buyer and supplierRejected- Rejected by supplierCompleted- Completed at the buyerCancelled- Cancelled by the buyer
The order, line or optional delivery line logistics status:
Open- No or partial quantity Produced, ReadyToShip, Shipped or DeliveredProduced- Full quantity produced by the supplierReadyToShip- Full quantity ready to be shipped by the supplierShipped- Full quantity shipped by the supplierDelivered- Full quantity delivered at the buyerCancelled- Cancelled by the buyer
Key order event date and times.
object
Mandatory ISO local date and time, in UTC time zone, at which the order was issued in Tradecloud.
Optional ISO local date and time, in UTC time zone, at which the order became completely confirmed in Tradecloud.
Optional ISO local date and time, in UTC time zone, at which the order became completely shipped in Tradecloud.
Optional ISO local date and time, in UTC time zone, at which the order became completely delivered in Tradecloud.
Optional ISO local date and time, in UTC time zone, at which the order became completely cancelled in Tradecloud.
The version of the order, used for optimistic locking.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
Mandatory price value and currency fields.
object
Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.
Mandatory 3-letter currency code according to ISO 4217.
Includes meta information about this message.
object
Globally unique Tradecloud identifier of this message.
Includes meta information about the source of this message.
object
Globally unique Tradecloud trace identifier of this message. All related messages will have the same tradeId.
Globally unique Tradecloud user identifier which triggered the first message in a flow.
Globally unique Tradecloud company identifier which triggered the first message in a flow.
Mandatory ISO date and time, in UTC time zone, at which this message was created.
The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) that denotes the latest date time the order has been changed.
The total no. of orders in the query result independent of paging.
ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) containing the lastUpdatedAt value of the most recently updated order that was returned in the data property, if non-empty.
Example
{ "data": [ { "id": "eaf0036d-63ec-4292-b4ca-d65df0a912cc-PO0123456789", "buyerOrder": { "companyId": "00f03b98-2511-489f-9695-13791b3f66b6", "buyerParty": { "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "buyerAccountingParty": { "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "supplierAccountNumber": "SUPPLIER12345", "supplierParty": { "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "purchaseOrderNumber": "PO123456789", "description": "Any custom text about this order", "destination": { "code": "LOC001", "names": [ "Company Name Headquarters" ], "addressLines": [ "Molengraaffsingel 12" ], "postalCode": "1234 AB", "city": "Delft", "countryCodeIso2": "NL", "countryName": "The Netherlands", "locationType": "Supplier Premises" }, "terms": { "incotermsCode": "CIF", "incoterms": "ECT Rotterdam", "paymentTermsCode": "30D", "paymentTerms": "30 days" }, "indicators": { "autoConfirm": false }, "properties": [ { "key": "color", "value": "red" } ], "labels": [ "first label for this order", "second label for this order" ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "type": "General", "description": "General document", "meta": { "addedAt": "2019-12-31T10:11:12.123Z", "lastUpdatedAt": "2019-12-31T10:11:12.123Z" } } ], "contact": { "status": "Assigned" }, "orderType": "Purchase", "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ], "requirements": { "salesOrderNumberRequired": false }, "erpIssueDateTime": "2019-12-31T10:11:12", "erpIssuedBy": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "Contactusername" }, "erpLastChangeDateTime": "2019-12-31T10:11:12", "erpLastChangedBy": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "Contactusername" } }, "supplierOrder": { "companyId": "d024bf02-7e33-427b-b4f5-a10a61761711", "buyerAccountNumber": "BUYER12345", "description": "Any custom text about this order", "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "type": "General", "description": "General document", "meta": { "addedAt": "2019-12-31T10:11:12.123Z", "lastUpdatedAt": "2019-12-31T10:11:12.123Z" } } ], "contact": { "status": "Suggested" }, "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ], "erpLastResponseDateTime": "2019-12-31T10:11:12", "erpLastRespondedBy": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "Contactusername" } }, "lines": [ { "id": "ee99cd3f-c24c-4b60-84ea-8dcf889cc37b-PO012345789-00010", "lineType": "Item", "chargeReasonCode": "FC", "buyerLine": { "position": "00010", "originalPosition": "00010", "row": "1", "description": "Anything about this line", "item": { "number": "12345", "revision": "v2", "name": "Round tube ø60x45", "description": "Very nice round tube ø60 x 45", "purchaseUnitOfMeasureIso": "PCE", "supplierItemNumber": "67890", "dimensions": [ { "attribute": "Length", "measure": 50.5, "unitOfMeasureUnece": "m" } ] }, "itemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "terms": { "contractNumber": "123456789", "contractPosition": "0001" }, "projectNumber": "PROJ12345", "productionNumber": "PROD12345", "salesOrderNumber": "SO123456789", "indicators": { "noDeliveryExpected": true, "delivered": true }, "properties": [ { "key": "color", "value": "red" } ], "labels": [ "first label for this line", "second label for this line" ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "type": "General", "description": "General document", "meta": { "addedAt": "2019-12-31T10:11:12.123Z", "lastUpdatedAt": "2019-12-31T10:11:12.123Z" } } ], "certification": { "typeCode": "C", "type": "Class Certificate", "classificationSocietyCode": "LR", "classificationSociety": "Lloyd's Register" }, "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ] }, "supplierLine": { "salesOrderNumber": "SO123456789", "salesOrderLinePosition": "00010", "description": "Anything about this line", "itemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "type": "General", "description": "General document", "meta": { "addedAt": "2019-12-31T10:11:12.123Z", "lastUpdatedAt": "2019-12-31T10:11:12.123Z" } } ], "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ] }, "statusLine": { "scheduledDelivery": { "date": "2019-12-31", "quantity": 1234.56, "status": "Open", "indicators": { "deliveryOverdue": false }, "transportMode": "Road transport", "etd": "2019-12-31", "eta": "2019-12-31" }, "scheduledDeliveryInclRequests": { "date": "2019-12-31", "quantity": 1234.56, "status": "Open", "indicators": { "deliveryOverdue": false }, "transportMode": "Road transport", "etd": "2019-12-31", "eta": "2019-12-31" }, "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "pricesInclRequests": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "totalQuantity": 1234.56, "totalQuantityInclRequests": 1234.56, "totalAmount": { "value": 1234.56, "currencyIso": "EUR" }, "totalAmountInclRequests": { "value": 1234.56, "currencyIso": "EUR" } }, "indicators": { "deliveryOverdue": false }, "status": { "processStatus": "Issued", "inProgressStatus": "OpenSupplierProposal", "logisticsStatus": "Open" }, "eventDates": { "issuedAt": "2019-12-31T10:11:12.123Z", "confirmedAt": "2019-12-31T10:11:12.123Z", "shippedAt": "2019-12-31T10:11:12.123Z", "deliveredAt": "2019-12-31T10:11:12.123Z", "cancelledAt": "2019-12-31T10:11:12.123Z" }, "mergedItemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "lastUpdatedAt": "2021-04-23T10:01:53.812Z" } ], "indicators": { "deliveryOverdue": false }, "status": { "processStatus": "Issued", "logisticsStatus": "Open" }, "eventDates": { "issuedAt": "2019-12-31T10:11:12.123Z", "confirmedAt": "2019-12-31T10:11:12.123Z", "shippedAt": "2019-12-31T10:11:12.123Z", "deliveredAt": "2019-12-31T10:11:12.123Z", "cancelledAt": "2019-12-31T10:11:12.123Z" }, "version": 1, "totalAmount": { "value": 1234.56, "currencyIso": "EUR" }, "totalAmountInclRequests": { "value": 1234.56, "currencyIso": "EUR" }, "meta": { "createdDateTime": "2019-12-31T10:11:12.123Z" }, "lastUpdatedAt": "2021-04-23T10:01:53.812Z" } ], "total": 10, "lastUpdatedAt": "2021-04-23T10:01:53.812Z"}Bad request, the user should check the response body for more info.
Not authenticated, the user should authenticate using a valid access token, use Basic Authentication, or refresh to get a valid token.
Not authorized, the user is authenticated but does not have the necessary permission.
An unexpected error occurred, Tradecloud ops will be alerted.
Service is not healthy (bad gateway), Tradecloud ops will be alerted.
Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted.
Service is unavailable (gateway timeout), Tradecloud ops will be alerted.
